# Uses of Interface
org.opensaml.saml.saml2.ecp.Request

Packages that use Request
Package
Description
org.opensaml.saml.saml2.ecp.impl
Implementations of SAML 2.0 ECP types and elements.

## Uses of Request in org.opensaml.saml.saml2.ecp.impl

Classes in org.opensaml.saml.saml2.ecp.impl that implement Request
Modifier and Type
Class
Description
`class`
`RequestImpl`
A concrete implementation of `Request`.
Methods in org.opensaml.saml.saml2.ecp.impl that return Request
Modifier and Type
Method
Description
`Request`
RequestBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Request`
RequestBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.